ApiHdfsHaArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHdfsHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsHaArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHdfsHaArguments
      extends Object

  Arguments used for HDFS HA commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsHaArguments` | `activeName(String activeName)`
    `ApiHdfsHaArguments` | `activeSharedEditsPath(String activeSharedEditsPath)`
    `ApiHdfsHaArguments` | `deployClientConfigs(Boolean deployClientConfigs)`
    `ApiHdfsHaArguments` | `enableQuorumStorage(Boolean enableQuorumStorage)`
    `boolean` | `equals(Object o)`
    `String` | `getActiveName()` Name of the active NameNode.
    `String` | `getActiveSharedEditsPath()` Path to the shared edits directory on the active NameNode's host.
    `Boolean` | `getDeployClientConfigs()` Whether to re-deploy client configurations.
    `Boolean` | `getEnableQuorumStorage()` This parameter has been deprecated as of CM 5.0, where HA is only supported using Quorum-based Storage.
    `String` | `getNameservice()` Nameservice that identifies the HA pair.
    `String` | `getStandByName()` Name of the stand-by Namenode.
    `String` | `getStandBySharedEditsPath()` Path to the shared edits directory on the stand-by NameNode's host.
    `Boolean` | `getStartDependentServices()` Whether to re-start dependent services.
    `int` | `hashCode()`
    `ApiHdfsHaArguments` | `nameservice(String nameservice)`
    `void` | `setActiveName(String activeName)`
    `void` | `setActiveSharedEditsPath(String activeSharedEditsPath)`
    `void` | `setDeployClientConfigs(Boolean deployClientConfigs)`
    `void` | `setEnableQuorumStorage(Boolean enableQuorumStorage)`
    `void` | `setNameservice(String nameservice)`
    `void` | `setStandByName(String standByName)`
    `void` | `setStandBySharedEditsPath(String standBySharedEditsPath)`
    `void` | `setStartDependentServices(Boolean startDependentServices)`
    `ApiHdfsHaArguments` | `standByName(String standByName)`
    `ApiHdfsHaArguments` | `standBySharedEditsPath(String standBySharedEditsPath)`
    `ApiHdfsHaArguments` | `startDependentServices(Boolean startDependentServices)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsHaArguments

          public ApiHdfsHaArguments()

  - ### Method Detail

    - #### activeName

          public ApiHdfsHaArguments activeName(String activeName)

    - #### getActiveName

          public String getActiveName()

      Name of the active NameNode.
      Returns:
        activeName

    - #### setActiveName

          public void setActiveName(String activeName)

    - #### activeSharedEditsPath

          public ApiHdfsHaArguments activeSharedEditsPath(String activeSharedEditsPath)

    - #### getActiveSharedEditsPath

          public String getActiveSharedEditsPath()

      Path to the shared edits directory on the active NameNode's host. Ignored if Quorum-based Storage is being enabled.
      Returns:
        activeSharedEditsPath

    - #### setActiveSharedEditsPath

          public void setActiveSharedEditsPath(String activeSharedEditsPath)

    - #### standByName

          public ApiHdfsHaArguments standByName(String standByName)

    - #### getStandByName

          public String getStandByName()

      Name of the stand-by Namenode.
      Returns:
        standByName

    - #### setStandByName

          public void setStandByName(String standByName)

    - #### standBySharedEditsPath

          public ApiHdfsHaArguments standBySharedEditsPath(String standBySharedEditsPath)

    - #### getStandBySharedEditsPath

          public String getStandBySharedEditsPath()

      Path to the shared edits directory on the stand-by NameNode's host. Ignored if Quorum-based Storage is being enabled.
      Returns:
        standBySharedEditsPath

    - #### setStandBySharedEditsPath

          public void setStandBySharedEditsPath(String standBySharedEditsPath)

    - #### nameservice

          public ApiHdfsHaArguments nameservice(String nameservice)

    - #### getNameservice

          public String getNameservice()

      Nameservice that identifies the HA pair.
      Returns:
        nameservice

    - #### setNameservice

          public void setNameservice(String nameservice)

    - #### startDependentServices

          public ApiHdfsHaArguments startDependentServices(Boolean startDependentServices)

    - #### getStartDependentServices

          public Boolean getStartDependentServices()

      Whether to re-start dependent services. Defaults to true.
      Returns:
        startDependentServices

    - #### setStartDependentServices

          public void setStartDependentServices(Boolean startDependentServices)

    - #### deployClientConfigs

          public ApiHdfsHaArguments deployClientConfigs(Boolean deployClientConfigs)

    - #### getDeployClientConfigs

          public Boolean getDeployClientConfigs()

      Whether to re-deploy client configurations. Defaults to true.
      Returns:
        deployClientConfigs

    - #### setDeployClientConfigs

          public void setDeployClientConfigs(Boolean deployClientConfigs)

    - #### enableQuorumStorage

          public ApiHdfsHaArguments enableQuorumStorage(Boolean enableQuorumStorage)

    - #### getEnableQuorumStorage

          public Boolean getEnableQuorumStorage()

      This parameter has been deprecated as of CM 5.0, where HA is only supported using Quorum-based Storage. <p> Whether to enable Quorum-based Storage. Enabling Quorum-based Storage requires a minimum of three and an odd number of JournalNodes to be created and configured before enabling HDFS HA. <p> Available since API v2.
      Returns:
        enableQuorumStorage

    - #### setEnableQuorumStorage

          public void setEnableQuorumStorage(Boolean enableQuorumStorage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.